Subject: Re: setup.exe crashes when downgrading gcc4
From: Peter Münster <[email-masked]>
To: Andy Koppe <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Mon, 30 Aug 2010 11:12:02 +0200
List-Id: <cygwin.cygwin.com>

On Fri, Aug 27 2010, Andy Koppe wrote:

> > So I select "4.3.4-3", and then "next". Then setup.exe crashes with this
> > error:
> > An unhandled win32 exception occurred in setup.exe [1672].
> 
> I wasn't able to reproduce this. Were you using the then-latest
> version 2.712 of setup.exe? You could also try 2.721, which has just
> been uploaded.

Hello Andy,

It was the version 2.712. I've just tried 2.721 and the same crash happens.

> I take it you didn't click on the Exp or Keep radio buttons? Did you
> downgrade all three packages you mentioned? Did it crash straight
> away, after some delay, or only when it got to the 'Progress' page?

It crashes right after the opening of the progress page.

It crashes, when I try to downgrade at least one of the 3 packages.

> Another thing to try is to simply click Next without changing
> anything, because setup automatically downgrades you from any
> experimental packages anyway, unless you tell it otherwise using Exp
> or Keep.

When trying this, it crashes too.

New results:
- when clicking on the Exp radio button, I was able to uninstall these 3
  packages without crash
- when trying to install gcc4 (any version) again, setup.exe crashes
- when trying to uninstall gcc3, setup.exe crashes
- it seems, that it crashes now, whatever I do...

I attach the output of cygcheck -srv, hoping that it helps finding a
solution...

Peter

-- 
Contact information: http://pmrb.free.fr/contact/

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple